Update individual fields of a run

View as Markdown

Update specific fields of the run.

Required scope: air:simulation_edit (roles: air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this run.

Request

This endpoint expects an object.
namestringOptional1-128 characters
A customizable name for the run.

Response

idstringRead-onlyformat: "uuid"
namestring<=128 characters
A customizable name for the run.
simulationstringRead-onlyformat: "uuid"
started_fromstring or nullRead-onlyformat: "uuid"
The checkpoint from which the run started.
started_atdatetimeRead-only
The time when the run first started.
ended_atdatetime or nullRead-only

The time when the run ended; if null, the run is ongoing.

createddatetimeRead-only
modifieddatetimeRead-only

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error